/***************************************************************************
 *   Copyright (C) 2007 by Stefan Lau   *
 *   stefan.lau@gmx.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifdef __WIN32__
	#define Win 1
#else
	#define Win 0
#endif

#ifndef SETTINGSIMPL_H
#define SETTINGSIMPL_H
//
#include "ui_settings.h"
#include "mainwindowimpl.h"
#include <QSettings>
//
class SettingsImpl : public QDialog, public Ui::Options
{
Q_OBJECT
public:
	SettingsImpl( MainWindowImpl * parent = 0, Qt::WFlags f = 0, QSettings *Settings_f = 0);
private:
	QSettings *Settings;
	MainWindowImpl *Parent;
public slots:
	void SetupCaptionsAndIcons();
private slots:
	void OKButton();
	void CancelButton();
	void CBProxyChanged(int State);
	void CBPasswordChanged(int State);
};
#endif
