#include "exportprofilesimpl.h"

ExportProfilesImpl::ExportProfilesImpl(MainWindowImpl *Parent_f) {
	Parent = Parent_f;

	setupUi(this);

	SetupCaptionsAndIcons();

	for (std::vector<OProfile*>::iterator i = Parent->Profiles.begin(); i < Parent->Profiles.end(); i++) {
		LW_Profiles->addItem((*i)->Name);
	}
	
	connect(PB_OK, SIGNAL( clicked() ), this, SLOT( OKButton() ));
	connect(PB_Cancel, SIGNAL( clicked() ), this, SLOT( reject() ));

	Accepted = 0;
}

void ExportProfilesImpl::SetupCaptionsAndIcons() {
	this->setWindowTitle(tr("Export Profile(s)"));
	L_ChooseProfiles->setText(tr("Choose Profile(s)"));

	PB_Cancel->setIcon(QIcon(":/icons/no.png"));
	PB_Cancel->setText(tr("Cancel"));
	PB_OK->setIcon(QIcon(":/icons/ok.png"));
	PB_OK->setText(tr("OK"));
}

void ExportProfilesImpl::OKButton() {
	if (LW_Profiles->selectedItems().size() > 0) {
		for (int i=0;i<LW_Profiles->selectedItems().size();i++) {
			for (std::vector<OProfile*>::iterator j = Parent->Profiles.begin(); j < Parent->Profiles.end(); j++ ) {
				if ((*j)->Name == LW_Profiles->selectedItems()[i]->text())
					Result.push_back((*j));	
				}
		}
		Accepted = 1;
		accept();
	} else reject();
}
